#include <stdio.h>
#include <stdlib.h>

int main()
{
    int prvi, drugi;
    char prvic, drugic;
    scanf("%c%c %i %i", &prvic, &drugic, &prvi, &drugi);
    if (prvic == drugic) {
        printf("nemoguce");
    } else {
        switch(prvi - drugi) {
            case 1:
                printf("%c", prvic);
                for(int i=0; i < drugi; i++) {
                    printf("%c%c", prvic, drugic);
                }
                break;
            case -1:
                printf("%c", drugic);
            case 0:
                for(int i=0; i < prvi; i++) {
                    printf("%c%c", prvic, drugic);
                }
                break;
            default:
                printf("nemoguce");
        }
    }
    return 0;
}